package com.chenyang.nse.bussiness.entity.orm.table.core.desensitizationtask;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "t_console_algorithm"
)
public class DesensitizationAlgorithm extends TBaseEntity {
   private String name;
   private String remark;
   private String inputtype;
   private String outtype;
   private String testexample;
   private String algorithmtypeid;

   public String getName() {
      return this.name;
   }

   public void setName(String name) {
      this.name = name;
   }

   public String getRemark() {
      return this.remark;
   }

   public void setRemark(String remark) {
      this.remark = remark;
   }

   public String getInputtype() {
      return this.inputtype;
   }

   public void setInputtype(String inputtype) {
      this.inputtype = inputtype;
   }

   public String getOuttype() {
      return this.outtype;
   }

   public void setOuttype(String outtype) {
      this.outtype = outtype;
   }

   public String getTestexample() {
      return this.testexample;
   }

   public void setTestexample(String testexample) {
      this.testexample = testexample;
   }

   public String getAlgorithmtypeid() {
      return this.algorithmtypeid;
   }

   public void setAlgorithmtypeid(String algorithmtypeid) {
      this.algorithmtypeid = algorithmtypeid;
   }
}
